Get Unintegrated Grant

Retrieve an unintegrated grant with a given ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"
The unique id of the unintegrated grant. The format should be a v4 UUID according to RFC 4122.

Response headers

X-Request-IdstringOptional
The unique identifier for the request

Response

OK
idstringRead-onlyformat: "uuid"
The unique identifier for the object
workflowSessionIdstringRead-onlyformat: "uuid"
ID of the Connect Workflow Session associated with this grant
fundIdstringRead-only
ID of the donor advised fund
amountdouble
The grant amount expressed in units of whole cents
trackingIdstringOptionalRead-only
The tracking ID for the unintegrated grant
createdAtdatetimeOptionalRead-only

Time when this object was created; expressed in RFC 3339 format

updatedAtdatetimeOptionalRead-only

Time when this object was last updated; expressed in RFC 3339 format

statusenumOptional
The status of the unintegrated grant.
metadatamap from strings to stringsOptional
A map of arbitrary string keys and values to store information about the object
firstNamestringOptional
The donor's first name
lastNamestringOptional
The donor's last name
phonestringOptional
The donor's phone number
emailstringOptional
The donor's email
addressobjectOptional
notestringOptional
An note inputted by the user at submisson
paymentChannelenumOptionalRead-only

The payment channel for the unintegrated grant. This is useful to know how the grant will be sent. The payment channel for unintegrated grants will always be:

  • offline: Grant was initiated outside of Chariot so we’re unable to confirm how the grant will be sent.
userFriendlyIdstringOptionalRead-onlyDeprecated
Often referred to as the "Chariot ID", this is the ID that will be included in the payment from the DAF provider.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error